SYMORDER(1)

NAME
symorder - rearrange name list

SYNOPSIS
symorder -m -t -x excludelist symlist file

DESCRIPTION
The file symlist contains a list of symbols to be found in file, one symbol per line.

The symbol table of file is updated in place; symbols read from symlist are relocated to the beginning of the table and in the order given.

-t  Restrict the symbol table to the symbols listed in symlist.

-x excludelist
    Exclude the symbols listed in excludelist from the symbol table.

-m  Exit with status zero, even if some symbols are missing.

This program was specifically designed to cut down on the overhead of getting symbols from /kernel.

DIAGNOSTICS
The symorder utility exits 0 on success, 1 if a symbol listed in the symlist file was not found in the symbol table, and >1 if an error occurs.

SEE ALSO
nm(1), strip(1), nlist(3)

HISTORY
The symorder command appeared in 3.0BSD.